<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: CONVERT_FIFO Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">CONVERT_FIFO Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for CONVERT_FIFO:</div>
<div class="dyncontent">
<div class="center"><img src="classCONVERT__FIFO__inherit__graph.png" border="0" usemap="#CONVERT__FIFO_inherit__map" alt="Inheritance graph"/></div>
<map name="CONVERT__FIFO_inherit__map" id="CONVERT__FIFO_inherit__map">
<area shape="rect" id="node2" href="classDCC.html" title="DCC" alt="" coords="5,80,57,107"/><area shape="rect" id="node3" href="classDTS__Convert__Generation.html" title="DTS_Convert_Generation" alt="" coords="82,80,269,107"/><area shape="rect" id="node4" href="classDTS.html" title="DTS" alt="" coords="150,155,201,181"/><area shape="rect" id="node5" href="classWIB.html" title="WIB" alt="" coords="151,229,199,256"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classCONVERT__FIFO-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Libraries"></a>
Libraries</h2></td></tr>
 <tr class="memitem:ad57cd8d31a38ff87ac163fb47757ffbf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad57cd8d31a38ff87ac163fb47757ffbf"></a>
<a class="el" href="classCONVERT__FIFO.html#ad57cd8d31a38ff87ac163fb47757ffbf">altera_mf</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a59f7693c7df9bf3b761daf329cd5eb52"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a59f7693c7df9bf3b761daf329cd5eb52"></a>
<a class="el" href="classCONVERT__FIFO.html#a59f7693c7df9bf3b761daf329cd5eb52">all</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:a9b6d7fc6bed0eac82552d68e115d52a1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9b6d7fc6bed0eac82552d68e115d52a1"></a>
<a class="el" href="classCONVERT__FIFO.html#a9b6d7fc6bed0eac82552d68e115d52a1">data</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">104</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7566bf8a897f12b6d1cdc17a8403329f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7566bf8a897f12b6d1cdc17a8403329f"></a>
<a class="el" href="classCONVERT__FIFO.html#a7566bf8a897f12b6d1cdc17a8403329f">rdclk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a619d5f30e574cd2cf0c2da5fcbb7d34b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a619d5f30e574cd2cf0c2da5fcbb7d34b"></a>
<a class="el" href="classCONVERT__FIFO.html#a619d5f30e574cd2cf0c2da5fcbb7d34b">rdreq</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2946dcd1f086eda71e8d8f92cfb3db22"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2946dcd1f086eda71e8d8f92cfb3db22"></a>
<a class="el" href="classCONVERT__FIFO.html#a2946dcd1f086eda71e8d8f92cfb3db22">wrclk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa4e21a21cf7d6e1971ea377ec4664cf9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa4e21a21cf7d6e1971ea377ec4664cf9"></a>
<a class="el" href="classCONVERT__FIFO.html#aa4e21a21cf7d6e1971ea377ec4664cf9">wrreq</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aea3e9b399f181d495570c821c7729db9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aea3e9b399f181d495570c821c7729db9"></a>
<a class="el" href="classCONVERT__FIFO.html#aea3e9b399f181d495570c821c7729db9">q</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">104</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a86aa94da09b50c4249c575a517c8cbab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a86aa94da09b50c4249c575a517c8cbab"></a>
<a class="el" href="classCONVERT__FIFO.html#a86aa94da09b50c4249c575a517c8cbab">rdempty</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae3f4db8c7b6a1a452c32d31980787424"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae3f4db8c7b6a1a452c32d31980787424"></a>
<a class="el" href="classCONVERT__FIFO.html#ae3f4db8c7b6a1a452c32d31980787424">wrfull</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="CONVERT__FIFO_8vhd_source.html#l00043">43</a> of file <a class="el" href="CONVERT__FIFO_8vhd_source.html">CONVERT_FIFO.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/<a class="el" href="CONVERT__FIFO_8vhd_source.html">CONVERT_FIFO.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:32 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
